> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get candles



## OpenAPI

````yaml openapi/api-gateway.json GET /candles
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /candles:
    get:
      tags:
        - api-gateway
      operationId: get_candles
      parameters:
        - name: symbol
          in: query
          required: true
          schema:
            type: string
        - name: start_timestamp_ns
          in: query
          required: true
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: end_timestamp_ns
          in: query
          required: true
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: candle_width
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of candles
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCandlesResponse'
      security:
        - session_token: []
components:
  schemas:
    GetCandlesResponse:
      type: object
      required:
        - candles
      properties:
        candles:
          type: array
          items:
            $ref: '#/components/schemas/Candle'
    Candle:
      type: object
      required:
        - symbol
        - ts
        - open
        - high
        - low
        - close
        - buy_volume
        - sell_volume
        - volume
        - width
      properties:
        buy_volume:
          type: integer
          format: int64
          minimum: 0
        close:
          type: string
        high:
          type: string
        low:
          type: string
        open:
          type: string
        sell_volume:
          type: integer
          format: int64
          minimum: 0
        symbol:
          type: string
        ts:
          type: string
          format: date-time
        volume:
          type: integer
          format: int64
          minimum: 0
        width:
          $ref: '#/components/schemas/CandleWidth'
    CandleWidth:
      type: string
      enum:
        - 1s
        - 5s
        - 1m
        - 5m
        - 15m
        - 1h
        - 1d
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````